# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiComplexIorTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl('material', label='材质')
        self.addControl('mode', label='模式')
        self.addControl('reflectivity', label='反射率')
        self.addControl('edgetint', label='边缘色调')
        self.addControl('n')
        self.addControl('k')
        
        

        
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
